LLVM: lldb::SBLaunchInfo Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
lldb::SBLaunchInfo Class Reference

`#include <SBTarget.h>`

Collaboration diagram for lldb::SBLaunchInfo:
[legend]

## Public Member Functions
| SBLaunchInfo (const char **argv)
| ~SBLaunchInfo ()
uint32_t | GetUserID ()
uint32_t | GetGroupID ()
bool | UserIDIsValid ()
bool | GroupIDIsValid ()
void | SetUserID (uint32_t uid)
void | SetGroupID (uint32_t gid)
uint32_t | GetNumArguments ()
const char * | GetArgumentAtIndex (uint32_t idx)
void | SetArguments (const char **argv, bool append)
uint32_t | GetNumEnvironmentEntries ()
const char * | GetEnvironmentEntryAtIndex (uint32_t idx)
void | SetEnvironmentEntries (const char **envp, bool append)
void | Clear ()
const char * | GetWorkingDirectory () const
void | SetWorkingDirectory (const char *working_dir)
uint32_t | GetLaunchFlags ()
void | SetLaunchFlags (uint32_t flags)
const char * | GetProcessPluginName ()
void | SetProcessPluginName (const char *plugin_name)
const char * | GetShell ()
void | SetShell (const char *path)
uint32_t | GetResumeCount ()
void | SetResumeCount (uint32_t c)
bool | AddCloseFileAction (int fd)
bool | AddDuplicateFileAction (int fd, int dup_fd)
bool | AddOpenFileAction (int fd, const char *path, bool read, bool write)
bool | AddSuppressFileAction (int fd, bool read, bool write)

## Protected Member Functions
lldb_private::ProcessLaunchInfo & | ref ()

## Protected Attributes
ProcessLaunchInfoSP | m_opaque_sp

## Friends
class | SBTarget

## Detailed Description

Definition at line 25 of file SBTarget.h.

## Constructor & Destructor Documentation

lldb::SBLaunchInfo::SBLaunchInfo | ( | const char ** | argv | ) |

lldb::SBLaunchInfo::~SBLaunchInfo | ( |  | ) |

## Member Function Documentation

bool lldb::SBLaunchInfo::AddCloseFileAction | ( | int | fd | ) |

bool lldb::SBLaunchInfo::AddDuplicateFileAction | ( | int | fd,
|  | int | dup_fd
| ) |  |

bool lldb::SBLaunchInfo::AddOpenFileAction | ( | int | fd,
|  | const char * | path,
|  | bool | read,
|  | bool | write
| ) |  |

bool lldb::SBLaunchInfo::AddSuppressFileAction | ( | int | fd,
|  | bool | read,
|  | bool | write
| ) |  |

void lldb::SBLaunchInfo::Clear | ( |  | ) |

const char* lldb::SBLaunchInfo::GetArgumentAtIndex | ( | uint32_t | idx | ) |

const char* lldb::SBLaunchInfo::GetEnvironmentEntryAtIndex | ( | uint32_t | idx | ) |

uint32_t lldb::SBLaunchInfo::GetGroupID | ( |  | ) |

uint32_t lldb::SBLaunchInfo::GetLaunchFlags | ( |  | ) |

uint32_t lldb::SBLaunchInfo::GetNumArguments | ( |  | ) |

uint32_t lldb::SBLaunchInfo::GetNumEnvironmentEntries | ( |  | ) |

const char* lldb::SBLaunchInfo::GetProcessPluginName | ( |  | ) |

uint32_t lldb::SBLaunchInfo::GetResumeCount | ( |  | ) |

const char* lldb::SBLaunchInfo::GetShell | ( |  | ) |

uint32_t lldb::SBLaunchInfo::GetUserID | ( |  | ) |

const char* lldb::SBLaunchInfo::GetWorkingDirectory | ( |  | ) | const

bool lldb::SBLaunchInfo::GroupIDIsValid | ( |  | ) |

lldb_private::ProcessLaunchInfo& lldb::SBLaunchInfo::ref | ( |  | ) |
| protected

void lldb::SBLaunchInfo::SetArguments | ( | const char ** | argv,
|  | bool | append
| ) |  |

void lldb::SBLaunchInfo::SetEnvironmentEntries | ( | const char ** | envp,
|  | bool | append
| ) |  |

void lldb::SBLaunchInfo::SetGroupID | ( | uint32_t | gid | ) |

void lldb::SBLaunchInfo::SetLaunchFlags | ( | uint32_t | flags | ) |

void lldb::SBLaunchInfo::SetProcessPluginName | ( | const char * | plugin_name | ) |

void lldb::SBLaunchInfo::SetResumeCount | ( | uint32_t | c | ) |

void lldb::SBLaunchInfo::SetShell | ( | const char * | path | ) |

void lldb::SBLaunchInfo::SetUserID | ( | uint32_t | uid | ) |

void lldb::SBLaunchInfo::SetWorkingDirectory | ( | const char * | working_dir | ) |

bool lldb::SBLaunchInfo::UserIDIsValid | ( |  | ) |

## Friends And Related Function Documentation

friend class SBTarget
| friend

Definition at line 114 of file SBTarget.h.

## Member Data Documentation

ProcessLaunchInfoSP lldb::SBLaunchInfo::m_opaque_sp
| protected

Definition at line 119 of file SBTarget.h.

The documentation for this class was generated from the following file:

- SBTarget.h